package com.icomsys.main_vm.common.code.code;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Name ServiceStatusType
 * @Description 서비스 상태 유형 (실행 시간 기준 상태정보)
 * @Author sungbumoh
 * @CreateDate 2020. 8. 6.
 */
@Getter
@AllArgsConstructor
public enum ServiceStatusType {

    CLEAN("CLEAN", 0.5),        // OK
    WARNING("WARNING", 1.0),    // 경고
    BAD("BAD", 2.0),            // 나쁨
    CRITICAL("CRITICAL", 5.0);  // 이슈

    private String value;
    private double serviceTime;

}
